<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY lxqt-menu-data-download-http "https://github.com/lxqt/lxqt-menu-data/releases/download/&lxqt-version;/lxqt-menu-data-&lxqt-version;.tar.xz">
  <!ENTITY lxqt-menu-data-download-ftp  " ">
  <!ENTITY lxqt-menu-data-md5sum        "9eafc479031ffbe7ed50863b72771bce">
  <!ENTITY lxqt-menu-data-size          "56 KB">
  <!ENTITY lxqt-menu-data-buildsize     "1.6 MB">
  <!ENTITY lxqt-menu-data-time          "less than 0.1 SBU">
]>

<sect1 id="lxqt-menu-data" xreflabel="lxqt-menu-data-&lxqt-version;">
  <?dbhtml filename="lxqt-menu-data.html"?>


  <title>lxqt-menu-data-&lxqt-version;</title>

  <indexterm zone="lxqt-menu-data">
    <primary sortas="a-lxqt-menu-data">lxqt-menu-data</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to lxqt-menu-data</title>

    <para>
      The <application>lxqt-menu-data</application> package contains compliant
      menu files for LXQt.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&lxqt-menu-data-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&lxqt-menu-data-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &lxqt-menu-data-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &lxqt-menu-data-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &lxqt-menu-data-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &lxqt-menu-data-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">lxqt-menu-data Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="lxqt-build-tools"/>
    </para>

<!--
    <para condition="html" role="usernotes">
      User Notes: <ulink url="&blfs-wiki;/lxqt-menu-data"/>
    </para>
-->
  </sect2>

  <sect2 role="installation">
    <title>Installation of lxqt-menu-data</title>

    <para>
      Install <application>lxqt-menu-data</application> by running the following
      commands:
    </para>

<screen><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

cmake -D CMAKE_INSTALL_PREFIX=/usr \
      -D CMAKE_BUILD_TYPE=Release  \
      ..  &amp;&amp;
make</userinput></screen>

    <para>
      This package does not come with a test suite.
    </para>

    <para>
      Now, as the &root; user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Program</segtitle>
      <segtitle>Installed Library</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          None
        </seg>
        <seg>
          None
        </seg>
        <seg>
          /etc/xdg/menus,
          /usr/share/desktop-directories, and
          /usr/share/cmake/lxqt-menu-data
        </seg>
      </seglistitem>
    </segmentedlist>

  </sect2>

</sect1>
